<img src="https://raw.githubusercontent.com/cogent3/cogent3.github.io/e72df8c155c100f502b6a7009347d1821ab3adef/doc/_static/c3-logo.svg" alt="drawing" style="width:200px;"/>

# Data Wrangling with [Cogent3](https://cogent3.org) Workshop

The workshop is geared towards researchers who specialize in developing new phylogenetic methods. Acquiring empirical data for evaluating the performance of a new method is challenging. Your choice of data has important ramifications for your evaluation of the performance of your method. While the standard strategy of recycling published data sets is convenient, this risks perpetuating biases embedded in those data sets.

We will show how [cogent3](https://cogent3.org) and associated tools can greatly simplify getting public data for analyses, serving the needs of phylogenetic method developers. As there is an overlap with standard phylogenetic data pre-processing workflows, users of phylogenetic (or molecular evolutionary) methods can also benefit from attending this workshop.

## Registration, Time, Location

The workshop is on the afternoon of 21st November 2023 (before the start of Phylomania) and it's free 🎉!

You can [register here](https://docs.google.com/forms/d/e/1FAIpQLSdj6fj1UcDr-6903u9dRxxA0rke3d8lRScaBHlsE5FZuQgzuA/viewform).

**The time:** 1pm-5pm, 21st November 2023

**The location:** Room 329, Maths and Physics, U. Tasmania (Sandy Bay campus).

## Workshop Content

The topics we will cover are:

  - Factors for method developers to consider when designing experiments.
  - How to extract specific types of sequences (e.g. by homology type, sequence class, or level of divergence) from biological databases like Genbank and Ensembl.
  - Handling inconsistencies in biological data resources.
  - Multiple sequence alignment and subsequent quality control.

## Prerequisites

All you need for this workshop is a laptop and some familiarity with command-line applications.

Ideally, you should be able to install software on your machine (see [Computer Setup page](https://github.com/cogent3/Cogent3Workshop/wiki/Computer-Setup)).

## More workshop information

Details regarding physical location, zoom link and setting up your computer before the workshop will be posted to the [Cogent3 Workshop Wiki](https://github.com/cogent3/Cogent3Workshop/wiki).

We look forward to seeing you there!

👾 cogent3's development team.

## Cogent3 Funding

Cogent3 has received funding support from the Australian National University and an [Essential Open Source Software for Science Grant](https://chanzuckerberg.com/eoss/proposals/cogent3-python-apis-for-iq-tree-and-graphbin-via-a-plug-in-architecture/) from the Chan Zuckerberg Initiative.

<p align="center">
  &nbsp;&nbsp;&nbsp;&nbsp;
  <img src="https://webstyle.anu.edu.au/_anu/4/images/logos/2x_anu_logo_small.svg" height="100">
  &nbsp;&nbsp;&nbsp;&nbsp;
  <img src="https://chanzuckerberg.com/wp-content/themes/czi/img/logo.svg" height="110">
</p>

